from functools import total_ordering

@total_ordering
class BlackMoneyHolder:
    def __init__(self,name,accounts_info):
        self.name=name
        self.accounts_info=accounts_info
        if isinstance(name, str)==False or name==None or len(name)==0:
            raise Exception("Not a valid name")
        if(isinstance(accounts_info,dict)==False):
            raise Exception("Not a valid Datatype of account information")

    def __len__(self):
        return len(self.accounts_info)

    def __getitem__(self, item):
        return list(self.accounts_info.items())[item]

    def __eq__(self, other):
        return self.total_black_money()==other.total_black_money()

    def __lt__(self, other):
        return  self.total_black_money() < other.total_black_money()

    def __str__(self):
        return "\n".join([key+": "+str(value) for key, value in accounts_info.items()])

    def update_amount(self,name,amount):
        self.accounts_info[name]=amount

    def total_black_money(self):
        total_money=0
        for i in self.accounts_info:
            total_money = total_money + self.accounts_info.get(i)
        return total_money


